.button-icon {
  height: rem(50px);
  width: rem(50px);
  position: relative;
  margin-bottom: 0;
  &--grey {
    opacity: .5;
  }
  &--change {
    &:before,
    &:after {
      content: '';
      display: block;
      width: rem(25px);
      height: rem(50px);
      position: absolute;
      top: 0;
      bottom: 0;
      margin: auto;
      z-index: -1;
    }
    &:before {
      left: 0;
      background-color: $color-green;
      border-bottom-left-radius: rem(50px);
      border-top-left-radius: rem(50px);
    }
    &:after {
      right: 0;
      background-color: $color-red;
      border-bottom-right-radius: rem(50px);
      border-top-right-radius: rem(50px);
    }

    .button-icon__image {
      border-color: transparent;
    }
    .button-icon__arrow {
      &:after {
        border-top-color: $color-green;
      }
    }

  }

  &--swap {
    &:before,
    &:after {
      content: '';
      display: block;
      width: rem(25px);
      height: rem(50px);
      position: absolute;
      top: 0;
      bottom: 0;
      margin: auto;
      z-index: -1;
    }
    &:before {
      left: 0;
      background-color: $color-red;
      border-bottom-left-radius: rem(50px);
      border-top-left-radius: rem(50px);
    }
    &:after {
      right: 0;
      background-color: $color-green;
      border-bottom-right-radius: rem(50px);
      border-top-right-radius: rem(50px);
    }

    .button-icon__image {
      border-color: transparent;
    }
    .button-icon__arrow {
      &:after {
        border-top-color: $color-red;
      }
    }
  }

  &--need {
    .button-icon__image {
      border-color: $color-red;
      background-color: $color-red;
    }

    .button-icon__arrow {
      &:after {
        border-top-color: $color-red;
      }
    }
  }
  &--offer {
    .button-icon__image {
      border-color: $color-green;
      background-color: $color-green;
    }
    .button-icon__arrow {
      &:after {
        border-top-color: $color-green;
      }
    }
  }

  &--yellow {
    .button-icon__image {
      border-color: $color-corporative;
      background-color: $color-corporative;
    }
    .button-icon__arrow {
      &:after {
        border-top-color: $color-corporative;
      }
    }
  }
//button net style over map
  &--net {
    .button-icon__image {
      border-color: transparent;
      background-color: transparent;
    }
    .button-icon__arrow {
      &:after {
        border-top-color: transparent;
      }
    }
  }

  &--create {
    .button-icon__image {
      border-color: $color-corporative;
      background-color: $color-corporative;
    }
    .button-icon__arrow {
      &:after {
        border-top-color: $color-corporative;
      }
    }
  }

  &--neutro {
    .button-icon__image {
      border-color: $black;
      background-color: transparent;
    }
    .button-icon__arrow {
      &:after {
        border-top-color: $black;
      }
    }
  }

  &__image {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    border-width: rem(5px);
    border-style: solid;
    z-index: 1;
    object-fit: cover;
  }
  &__arrow {
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    margin: 0 auto;
    &:after,
    &:before {
      content: '';
      display: block;
      height: rem(10px);
      width: rem(5px);
      border-top: rem(10px) solid transparent;
      border-right: rem(6px) solid transparent;
      border-left: rem(6px) solid transparent;
      position: absolute;
      bottom: rem(-9px);
      right: 0;
      left: 0;
      margin: 0 auto;
    }
  }
  &__tracking_pos {
    position: absolute;
    bottom: 0;
    right: 0;
    left: 0;
    margin: 0 auto;
    border-top-color: $color-corporative;
    border-color: $color-corporative;
    background-color: $color-corporative;
    &:after,
    &:before {
      content: '';
      border-top-color: $color-green;
      display: block;
      height: rem(10px);
      width: rem(5px);
      border-top: rem(10px) solid transparent;
      border-right: rem(6px) solid transparent;
      border-left: rem(6px) solid transparent;
      position: absolute;
      bottom: rem(-9px);
      right: 0;
      left: 0;
      margin: 0 auto;
    }
  }
  &--cluster {.button-icon__image {
    border-color: $color-corporative;
    background-color: $color-corporative;
  }
  .button-icon__arrow {
    &:after {
      border-top-color: $color-corporative;
      }
    }
  }

}

.button-icon__tags {
  overflow-x: auto;
  overflow-y: auto;
  max-width: fit-content;
  padding: 0 0 .5rem 0;
  white-space: nowrap;
  width: fit-content;
  left:auto;
  max-height: rem(50px);
}

.button-icon__link-tag {
  position: absolute;
  bottom:102%;
  left: 50%;
  transform: translateX( -50% );
  background: $color-gray;
  border-radius: 16px;
  color: $color-white;
  font-size: .75rem;
  font-weight: bold;
  padding: .25rem .6rem;

}

#buttonIcon .button-icon__tags{
  display: block;
}

#buttonIcon:hover .button-icon__tags{
  display: block;
}

.button-icon__tags--green {
  .button-icon__link-tag {
    background: $color-green;
  }
}

.button-icon__tags--red {
  .button-icon__link-tag {
    background: $color-red;
  }
}

.button-icon__tags--change {
  .button-icon__link-tag {
    &:before,
    &:after {
      content: '';
      display: block;
      width: 50%;
      height: auto;
      position: absolute;
      top: 0;
      bottom: 0;
      margin: auto;
      z-index: -1;
    }
    &:before {
      left: 0;
      background-color: $color-green;
      border-bottom-left-radius: rem(50px);
      border-top-left-radius: rem(50px);
    }
    &:after {
      right: 0;
      background-color: $color-red;
      border-bottom-right-radius: rem(50px);
      border-top-right-radius: rem(50px);
    }

    .button-icon__image {
      border-color: transparent;
    }
    .button-icon__arrow {
      &:after {
        border-top-color: $color-green;
      }
    }
  }

}

  .button-icon__tags--yellow {
    .button-icon__link-tag {
      color: $color-black;
      background: $color-corporative;
    }
}
